/*
   ----------------------------------------------------------------------------
	TestUpdateRow.prg
   A sample dBL program from 
   The dBASE Book Plus by Kenneth J. Mayer. 
   Program copyright 2015. 
   Permission is granted for use as a learning tool for dBASE Plus.
   Sample from: Chapter 4
	
   This program was put together with the sole purpose of testing the 
	method UpdateRow in the datamodule used in the sample code. It is here as
	a separate program to show how this works.
	----------------------------------------------------------------------------
*/
clear

// We're going to update Customer #5 -- Jane's Widget Shop
aMyData = new array(1,2)
aMyData[1,1]="BusinessName"
aMyData[1,2]="Jane's Widgets and More"
aMyData.grow(1)
aMyData[2,1] = "Address1"
aMyData[2,2] = "6000 Main Street"
aMyData.grow(1)
aMyData[3,1] = "Address2"
aMyData[3,2] = "Box 5"
aMyData.grow(1)
aMyData[4,1] = "PostalCode"
aMyData[4,2] = "99553-6712"
aMyData.grow(1)
aMyData[5,1] = "EmailAddress"
aMyData[5,2] = "Jane@WidgetsPlus.com"


set procedure to DataLayer.dmd
oDMD = new DataLayerDataModule()
oDMD.UpdateRow( "Customers", "CustomerNumber", 5, aMyData )
release object oDMD
oDMD := null
close procedure DataLayer.dmd
